平台智能 API
谷歌搜索 API
数十亿人每天使用谷歌查找网页、新闻、图片、视频和本地结果,使其在可发现性、声誉管理和需求捕捉中至关重要。
API 参考 版本: 1.0.0 6 终端 身份验证
基本网址
https://api.pressmonitor.com/google/v1 身份验证
所有请求使用 Bearer 令牌身份验证。每个调用都添加授权头。
Authorization: Bearer YOUR_TOKEN GET
/web 网页搜索
Search Web
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query_text | string | query | 是 | 查询文本 |
| lang_code | string | query | 不 | 语言代码 |
| country_code | string | query | 不 | 国家代码 |
| count | integer | query | 不 | 返回结果数量 |
| safesearch | string | query | 不 | 安全搜索 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/google/v1/web?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/google/v1/web?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/google/v1/web" querystring = {"query_text":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","safesearch":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/google/v1/web?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/google/v1/web?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/news 新闻搜索
Search News
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query_text | string | query | 是 | 查询文本 |
| lang_code | string | query | 不 | 语言代码 |
| country_code | string | query | 不 | 国家代码 |
| count | integer | query | 不 | 返回结果数量 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/google/v1/news?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/google/v1/news?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/google/v1/news" querystring = {"query_text":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/google/v1/news?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/google/v1/news?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/images 图片搜索
Search Images
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query_text | string | query | 是 | 查询文本 |
| lang_code | string | query | 不 | 语言代码 |
| country_code | string | query | 不 | 国家代码 |
| count | integer | query | 不 | 返回结果数量 |
| safesearch | string | query | 不 | 安全搜索 |
| color | string | query | 不 | 颜色 |
| size | string | query | 不 | 大小 |
| type_image | string | query | 不 | 图片类型 |
| layout | string | query | 不 | 布局 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/google/v1/images?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE&color=SOME_STRING_VALUE&size=SOME_STRING_VALUE&type_image=SOME_STRING_VALUE&layout=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/google/v1/images?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE&color=SOME_STRING_VALUE&size=SOME_STRING_VALUE&type_image=SOME_STRING_VALUE&layout=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/google/v1/images" querystring = {"query_text":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","safesearch":"SOME_STRING_VALUE","color":"SOME_STRING_VALUE","size":"SOME_STRING_VALUE","type_image":"SOME_STRING_VALUE","layout":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/google/v1/images?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE&color=SOME_STRING_VALUE&size=SOME_STRING_VALUE&type_image=SOME_STRING_VALUE&layout=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/google/v1/images?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE&color=SOME_STRING_VALUE&size=SOME_STRING_VALUE&type_image=SOME_STRING_VALUE&layout=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/videos 视频搜索
Search Videos
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query_text | string | query | 是 | 查询文本 |
| lang_code | string | query | 不 | 语言代码 |
| country_code | string | query | 不 | 国家代码 |
| count | integer | query | 不 | 返回结果数量 |
| safesearch | string | query | 不 | 安全搜索 |
| timelimit | string | query | 不 | 时间限制 |
| duration | string | query | 不 | 时长 |
| resolution | string | query | 不 | 分辨率 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/google/v1/videos?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE&timelimit=SOME_STRING_VALUE&duration=SOME_STRING_VALUE&resolution=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/google/v1/videos?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE&timelimit=SOME_STRING_VALUE&duration=SOME_STRING_VALUE&resolution=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/google/v1/videos" querystring = {"query_text":"SOME_STRING_VALUE","lang_code":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","safesearch":"SOME_STRING_VALUE","timelimit":"SOME_STRING_VALUE","duration":"SOME_STRING_VALUE","resolution":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/google/v1/videos?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE&timelimit=SOME_STRING_VALUE&duration=SOME_STRING_VALUE&resolution=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/google/v1/videos?query_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&safesearch=SOME_STRING_VALUE&timelimit=SOME_STRING_VALUE&duration=SOME_STRING_VALUE&resolution=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/map 地图搜索
Search Map
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query_text | string | query | 是 | 查询文本 |
| place | string | query | 不 | 地点 |
| street | string | query | 不 | 街道 |
| city | string | query | 不 | 城市 |
| county | string | query | 不 | 县 |
| state | string | query | 不 | 州 |
| country | string | query | 不 | 国家 |
| postalcode | string | query | 不 | 邮政编码 |
| latitude | string | query | 不 | 纬度 |
| longitude | string | query | 不 | 经度 |
| radius | string | query | 不 | 半径 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/google/v1/map?query_text=SOME_STRING_VALUE&place=SOME_STRING_VALUE&street=SOME_STRING_VALUE&city=SOME_STRING_VALUE&county=SOME_STRING_VALUE&state=SOME_STRING_VALUE&country=SOME_STRING_VALUE&postalcode=SOME_STRING_VALUE&latitude=SOME_STRING_VALUE&longitude=SOME_STRING_VALUE&radius=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/google/v1/map?query_text=SOME_STRING_VALUE&place=SOME_STRING_VALUE&street=SOME_STRING_VALUE&city=SOME_STRING_VALUE&county=SOME_STRING_VALUE&state=SOME_STRING_VALUE&country=SOME_STRING_VALUE&postalcode=SOME_STRING_VALUE&latitude=SOME_STRING_VALUE&longitude=SOME_STRING_VALUE&radius=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/google/v1/map" querystring = {"query_text":"SOME_STRING_VALUE","place":"SOME_STRING_VALUE","street":"SOME_STRING_VALUE","city":"SOME_STRING_VALUE","county":"SOME_STRING_VALUE","state":"SOME_STRING_VALUE","country":"SOME_STRING_VALUE","postalcode":"SOME_STRING_VALUE","latitude":"SOME_STRING_VALUE","longitude":"SOME_STRING_VALUE","radius":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/google/v1/map?query_text=SOME_STRING_VALUE&place=SOME_STRING_VALUE&street=SOME_STRING_VALUE&city=SOME_STRING_VALUE&county=SOME_STRING_VALUE&state=SOME_STRING_VALUE&country=SOME_STRING_VALUE&postalcode=SOME_STRING_VALUE&latitude=SOME_STRING_VALUE&longitude=SOME_STRING_VALUE&radius=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/google/v1/map?query_text=SOME_STRING_VALUE&place=SOME_STRING_VALUE&street=SOME_STRING_VALUE&city=SOME_STRING_VALUE&county=SOME_STRING_VALUE&state=SOME_STRING_VALUE&country=SOME_STRING_VALUE&postalcode=SOME_STRING_VALUE&latitude=SOME_STRING_VALUE&longitude=SOME_STRING_VALUE&radius=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功
GET
/autocomplete 自动完成
Auto Complete
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query_text | string | query | 是 | 查询文本 |
代码示例
curl --request GET \ --url 'https://api.pressmonitor.com/google/v1/autocomplete?query_text=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/google/v1/autocomplete?query_text=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/google/v1/autocomplete" querystring = {"query_text":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/google/v1/autocomplete?query_text=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/google/v1/autocomplete?query_text=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); 响应
200 成功